/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: COPSE.CLIENT
 * Classe:  CClientCollaborationManager
\******************************************************************************/

package COPSE.CLIENT;

import java.io.*;
import java.net.*;
import java.util.*;
import java.awt.*;

import COPSE.*;
import COPSE.CONTROL.*;
import FILE.*;


/*
class CUserAwarenessInfo
{
    protected   int         mUserId;
//    protected   CUserSession        pUserSession;

    protected   Rectangle   mUserScreen;
    protected   Point       mUserPoint;
    protected   Date        mLastEvent;

    public CUserAwarenessInfo( int userId )
    {
        mUserId = userId;

        mUserScreen = new Rectangle();
        mUserPoint = new Point();
        mLastEvent = new Date();
    }
}
*/



public class CClientCollaborationManager
    extends  CEventHandler
{
    protected   CClient         pClient;

    protected   CEventHandler   pListener;

//    protected   Hashtable       pUsersInfo;


/*
    protected   Vector          pListeners;

    public      void    AddListenerEventHandler( CEventHandler listener )
    {   pListeners.addElement( listener );  }

    public      void    RemoveListenerEventHandler( CEventHandler listener )
    {   pListeners.removeElement( listener );  }


    protected   void    SendEventToListeners( CEvent event )
    {
        Enumeration e = pListeners.elements();
        while( e.hasMoreElements() )
        {
            CEventHandler listener = (CEventHandler) e.nextElement();
            listener.AddEvent( event );
        }
    }
*/

    public      void    SetListener( CEventHandler listener )
    {
        System.err.println( "[DEBUG] CClientCollaborationManager - CollaborationListener was set!" );
        pListener = listener;
    }

    protected   void    SendEventToListeners( CEvent event )
    {
        if( pListener == null )  return;
        pListener.AddEvent( event );
    }



    public CClientCollaborationManager( CClient client )
    {
        pClient = client;
        //pUsersInfo = new Hashtable();
        pListener = null;

/*
        pChatHandler = new CClientCommunicationChatHandler(this);
        pChatHandler.start();

        pPointerHandler = new CClientAwarenessPointerHandler(this);
        pPointerHandler.start();

        pScreenHandler  = new CClientAwarenessScreenHandler(this);
        pScreenHandler.start();
*/
    }



    public CClient  GetClient()     { return pClient; }

    public void ProcessEvent( CEvent event )
    {
        int type = event.GetType();

        if( (type >= CEvent.EvCollaboration_Awareness_Pointer_First) &&
            (type <= CEvent.EvCollaboration_Awareness_Pointer_Last) )
        {
            // Save user position... pPointerHandler.AddEvent( event );

        }
        else
        if( (type >= CEvent.EvCollaboration_Awareness_Screen_First) &&
            (type <= CEvent.EvCollaboration_Awareness_Screen_Last) )
        {
            // Save user region ...  pScreenHandler.AddEvent( event );
        }

        // Save user last event time ...

        // Send to listeners...
        SendEventToListeners( event );
    }

    public void Exit()
    {
        this.stop();
    }


}