/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CLIENT
 * Classe:  CGUICheckboxMenuControl
\******************************************************************************/

package COPSE.CLIENT.GUI;


import  java.awt.*;
import  java.awt.event.*;

import  COPSE.*;
import  COPSE.CLIENT.*;

public class    CGUICheckboxMenuControl
    extends     CGUIControl
    implements  ItemListener
{
    protected   CGUICollaborationManager    pCollabManager;

    protected   CheckboxMenuItem            mnCheckboxMenu;


    public CGUICheckboxMenuControl ( CGUICollaborationManager collabManager, Menu menu, String label )
    {
        super( collabManager.GetGUIManager() );
        pCollabManager = collabManager;

        mnCheckboxMenu = new CheckboxMenuItem( label );
        mnCheckboxMenu.addItemListener( this );
        mnCheckboxMenu.setEnabled( IsEnabled() );
        menu.add( mnCheckboxMenu );
    }


    protected void ChangeMenuSettings()
    {
        mnCheckboxMenu.setEnabled( mIsEnabled );
    }


    //* ItemListener
    public void itemStateChanged(ItemEvent event)
    {
        if( event.getSource() == mnCheckboxMenu )
        {
            mIsEnabled = mnCheckboxMenu.getState();
        }
    }



    //* Event Handler
    protected   void    ProcessEvent( CEvent event )
    {
        int type = event.GetType();

        switch( type )
        {
            /*
            case CEvent.EvCollaboration_Awareness_Screen_On:
                {
                }
                break;

            case CEvent.EvCollaboration_Awareness_Pointer_Off:
                {
                }
                break;
            case CEvent.EvCollaboration_Awareness_Screen_Position:
                {
                }
                break;
            */

            default:
                super.ProcessEvent(event);
        }
    }


}


