/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: COPSE.CLIENT
 * Classe:  CGUIMenuItemControl
\******************************************************************************/

package COPSE.CLIENT.GUI;


import  java.awt.*;
import  java.awt.event.*;

import  COPSE.*;
import  COPSE.CLIENT.*;

public class    CGUIMenuItemControl
    extends     CGUIControl
    implements  ActionListener
{
    protected   CGUICollaborationManager    pCollabManager;

    protected   MenuItem                    mnMenuItem;


    public CGUIMenuItemControl ( CGUICollaborationManager collabManager, Menu menu, String label )
    {
        super( collabManager.GetGUIManager() );
        pCollabManager = collabManager;

        mnMenuItem = new MenuItem( label );
        mnMenuItem.addActionListener( this );
        mnMenuItem.setEnabled( IsEnabled() );
        menu.add( mnMenuItem );
    }


    public void Activate()
    {
        super.Activate();
        ChangeMenuSettings();
    }


    protected void ChangeMenuSettings()
    {
        mnMenuItem.setEnabled( mIsEnabled );
    }


    //* ActionListener
    public void actionPerformed(ActionEvent event)
    {
    }


}


