/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: COPSE.SERVER
 * Classe:  CUserSession
\******************************************************************************/

package COPSE.SERVER;

import java.io.*;
//import java.net.*;
import java.util.*;


import COPSE.*;
//import FILE.*;



public class CServerUserSession
    extends CUserSession
{
    protected CConnectionHandler    pConnectionHandler;


    public CServerUserSession( int userId, int connId )
    {
        super( userId, connId );
    }


    public CConnectionHandler GetConnectionHandler()
    {
        return pConnectionHandler;
    }


    public void SetConnectionHandler( CConnectionHandler handler )
    {
        pConnectionHandler = handler;
    }

    public void Notify( CEvent event )
    {
        try {
            pConnectionHandler.Send( event );
        }
        catch ( IOException e ) {};
    }

    public synchronized CUserSession CloneAsUserSession()
    {
        CUserSession user = new CUserSession( GetUserId(), GetConnectionId() );
        user.SetUserName( GetUserName() );
        return user;
    }

}
