/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: COPSE.SERVER
 * Classe:  CUserConnectionHandler
\******************************************************************************/

package COPSE.SERVER;

import java.io.*;
//import java.net.*;
import java.util.*;


import COPSE.*;


public class CUserConnectionHandler
    extends CConnectionHandler
{
    protected CServerUserSession        pUserSession;


    public CUserConnectionHandler ( CEventConnector connector, CServerEventHandler handler, CServerUserSession userSession )
    {
        super( connector, handler );

        pUserSession = userSession;
        pUserSession.SetConnectionHandler( this );
        mConnId = pUserSession.GetConnectionId();
    }

    public CUserSession     GetUserSession()    { return pUserSession; }

}