/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: FILE.OBJ
 * Classe:  CObjMethod
\******************************************************************************/

package FILE.OBJ;

import java.io.PrintStream;

import  FILE.*;

/*************************************************************************
 *  Class CObjMethod
 *************************************************************************/
public class    CObjMethod
    extends     CObjFeature
{
    // attributes
    protected   String          mParameters;
    //protected   StringBuffer    mCode;

    // Constructor
    public CObjMethod ()
    {
        super();
        mParameters = "";
    }

    public CObjMethod (String name)
    {
        super(name);
        mParameters = "";
    }


    public String   GetParameters ()              { return mParameters; }
    public void     SetParameters (String pars)   { mParameters = pars; }


    //* Clone
    public CElement Clone()
    {
        CObjMethod method = new CObjMethod();
        method.CopyFrom( this );
        return method;
    }

    public void CopyFrom( CElement elem )
    {
        if( !(elem instanceof CObjMethod) )
            return;

        super.CopyFrom( elem );

        CObjMethod method = (CObjMethod) elem;
        SetParameters( method.GetParameters() );
    }



    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "Attrib:  "+mName+"("+mParameters+") : "+mType );
    }

}
