/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS.MODEL
 * Classe:  CModel
\******************************************************************************/

package PROCESS.MODEL;

import java.io.*;
import java.util.*;

import FILE.CFile;
import FILE.CElement;


public class    CModel
    extends     CFile
{
    protected   CModelHeader    pModelHeader;

    public  CModel()
    {
        super();
        pModelHeader = null;
    }

    public  CModel ( String name, String path )
    {
        super( name, path );
        pModelHeader = null;
    }


    public CModelHeader GetModelHeader ()                       { return pModelHeader; }
    public void         SetModelHeader (CModelHeader head)      { pModelHeader = head; }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CModel (extends CFile)" );
        pStr.println( "       ModelHeader:  " + pModelHeader );

        super.DEBUG_write( pStr );
    }


}


