// Testa Package Processo2


import java.io.*;
import java.util.*;

import FILE.*;
import PROCESS2.*;


public class Teste3
{
    public static void main(String[] args)
        throws Exception
    {
        //createFile( "process.copse", "." );
        readFile( "process.copse", "." );
    }

    static void  readFile( String nome, String path )
        throws Exception
    {
        CFile file = CFile.Load( nome, path );
        //file.DEBUG_write( System.out );

        System.out.println( ((CAbstractActivity)file.GetElement(1)).GetInfoText() );

        CActivity act = (CActivity)file.GetElement( 2 );

        CActivity a2 = act.CloneOnlyInfo();

        System.out.println( act.GetInfoText() );
        System.out.println( "" );
        System.out.println( a2.GetInfoText() );

    }


    public static void createFile( String nome, String path )
        throws Exception
    {

        CFile file = new CFile( nome, path );

        CProcess process = new CProcess( file );

        CActivity a[], b[];
        a = new CActivity[5];
        b = new CActivity[3];

        for( int i=0; i<5; i++ )
        {
            a[i] = new CActivity();
            char n = (char)((int)'a' + i);
            String name = "Activity " + n;

            a[i].SetName( name );

            // Add a[i] to process BEFORE adding activities to a[i]
            process.AddActivity( a[i] );

            for( int j = 0; j < 3; j++ )
            {
                b[j] = new CActivity();
                b[j].SetName( name + "." + (j+1) );
                a[i].AddActivity( b[j] );
            }

            // Creating simple flows between b's...
            CFlow flow;

            flow = new CFlow( a[i] );
            flow.SetFromActivity( b[0] );
            flow.SetToActivity( b[1] );
            a[i].AddFlow( flow ); // It's necessary to confirm the addition of flows...

            flow = new CFlow( a[i] );
            flow.SetFromActivity( b[1] );
            flow.SetToActivity( b[2] );
            a[i].AddFlow( flow ); // It's necessary to confirm the addition of flows...

        }

        // Creating flows between a's...
        CFlow flow;

        flow = new CFlow( process );
        flow.SetType( CFlow.AND_SPLIT );
        flow.SetFromActivity( a[0] );
        flow.AddToActivity( a[1] );
        flow.AddToActivity( a[2] );
        flow.AddToActivity( a[3] );
        process.AddFlow( flow ); // It's necessary to confirm the addition of flows...

        flow = new CFlow( process );
        flow.SetType( CFlow.OR_JOIN );
        flow.AddFromActivity( a[1] );
        flow.AddFromActivity( a[2] );
        flow.AddFromActivity( a[3] );
        flow.SetToActivity( a[4] );
        process.AddFlow( flow ); // It's necessary to confirm the addition of flows...


        //file.AddElement( process );
        file.Save();
    }


}
