import java.net.*;
import java.io.*;



public class ObjIdServer extends Thread {
	
	DatagramSocket socket;
	DatagramPacket packet;
	byte[] buf;
	public static int cont = 0;
	InetAddress addressToSend;
	int portToSend;
	
	public ObjIdServer (InetAddress addressToSend, int portToSend) {
		this.addressToSend = addressToSend;
		this.portToSend = portToSend;
	}
	
	public ObjIdServer ()
	{
	}
	
	public void init (int port) {
		
		try {
			socket = new DatagramSocket(port);
			buf = new byte[32];
			packet = new DatagramPacket(buf, buf.length);
			// le setup, lastid
			while (true)
			{
				buf = new byte[32];
				System.out.println("esperando");
				socket.receive(packet);
				ObjIdServer threadOID = new ObjIdServer (packet.getAddress(), packet.getPort());
				threadOID.start();
			}
		} catch (SocketException ex) {
			System.out.println("Porta nao disponivel");
		} catch (IOException ex) {
			System.out.println("erro na leitura");
		}
	}
	
	public void run () {
		
		Integer oid = this.nextObjId ();
		try {
			socket = new DatagramSocket();
			ByteArrayOutputStream bout = new ByteArrayOutputStream();
			ObjectOutputStream objout = new ObjectOutputStream(bout);
			objout.writeObject(oid);
			objout.flush();
			objout.close();
			byte[] sendBuf = bout.toByteArray();
			//System.out.println(sendBuf);
			DatagramPacket sendPacket = new DatagramPacket (sendBuf, sendBuf.length, addressToSend, portToSend);
			//System.out.println(addressToSend + "," + portToSend);
			socket.send(sendPacket);
			//System.out.println("impossivel enviar dados");
		} catch (IOException ex) {
			System.out.println("erro de IO");
		}
	}
	
	public synchronized Integer nextObjId () {
		ObjIdServer.cont++;
		//if cont>MAX....
		
		return new Integer (cont);
	}
}
		
		