/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Package: PROCESS.MODEL
 * Classe:  CModelElement
\******************************************************************************/

package PROCESS.MODEL;


import java.io.*;
import java.util.*;

import FILE.CElement;


public class    CModelElement
    extends     CElement
{
    // then submodel that owns this element
    protected CSubModel pParent;        // Parent or owner (SubModel)

    public      CModelElement()
    {
        super();
        pParent = null;
    }

    // Parent
    public CSubModel  GetParent ()                  { return pParent; }
    public void       SetParent ( CSubModel par )   { pParent = par; }


    //** DEBUG
    public void DEBUG_write( PrintStream pStr )
    {
        pStr.println( "DEBUG: CModelElement (extends FILE.CElement)" );
        pStr.println( "       ParentId (SubModel):   " + pParent.GetId() );

        super.DEBUG_write( pStr );
    }



}