/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * package: TOOL.PROCESS.SERVER
 * Classe: ProcessServer
\******************************************************************************/

package TOOL.PROCESS.SERVER;


import  COPSE.*;
import  COPSE.CONTROL.*;
import  COPSE.SERVER.*;

import  TOOL.PROCESS.CProcessFileController;



/* ****************************************************************************
 * class ProcessServer
 ******************************************************************************/
public class    ProcessServer
    extends     CServer
{
    public ProcessServer( int port, String fileName )
        throws Exception
    {
        super( port, fileName );
    }

    protected CServerEventHandler CreateServerEventHandler()
    {
        return new ProcessServerEventHandler( this );
    }

    protected CFileController CreateFileController()
    {
//        return new CFileController( pFile );
        return new CProcessFileController( pFile );
    }
}