/* ****************************************************************************
 * Universidade Federal do Rio de Janeiro
 * COPPE - PESC
 * Mrcio de Sousa Dias
 ******************************************************************************
 * COPSE - Cooperative Project Support Environment
 * Project Server Application
 * Classe:  COPSEServerConnectionHandler
\******************************************************************************/


import java.io.*;


import COPSE.*;
import COPSE.SERVER.*;


public class COPSEServerConnectionHandler
    extends CConnectionHandler
{
    protected COPSEServerSession        pSession;


    public COPSEServerConnectionHandler ( CObjectStreamConnector connector, CEventHandler handler, COPSEServerSession session )
    {
        super( connector, handler );

        pSession = session;
        pSession.SetConnectionHandler( this );
        mConnId = pSession.GetUserId();
    }

    public COPSEServerSession     GetSession()    { return pSession; }

}