import BW.*;
import BW.kernel.*;
import BW.control.*;
import BW.storage.*;
import java.util.*;


class testJan2 {

        public static void testTI () {
		BW_TimeInterval i = new BW_TimeInterval ();
		System.out.println (i);
		i.setLocale ("pt_BR");
		i.setTimeZone ("BET");
		System.out.println (i);
		Calendar c = i.getBegin();
		c.setTimeZone (i.getTimeZone());
		//c.setLocale (i.getLocale());
		System.out.print (c.get(Calendar.DAY_OF_MONTH)+"/"+c.get(Calendar.MONTH)+"/"+c.get(Calendar.YEAR));
		System.out.print (" ");
		System.out.println (c.get(Calendar.HOUR_OF_DAY)+":"+c.get(Calendar.MINUTE)+":"+c.get(Calendar.SECOND));
	
		BW_TimeInterval i2 = new BW_TimeInterval (0,0,i.getTimeZone(),i.getLocale());
		System.out.println (i2);
        }

// ------------------------------------------------------------------------------
        public static Vector makeRegister () {
		BW_Register rg = new BW_Register ();
   		rg.setTypeId(typeIdDefault.BW_REGISTER);
   		rg.setObjId (typeIdDefault.BW_REGISTER);
   		
   		BW_Event evt = new BW_Event (101,typeIdDefault.UNSET);
   		rg.insertEvent (evt);
   		evt = new BW_Event (102,typeIdDefault.UNSET);
   		rg.insertEvent (evt);
   		evt = new BW_Event (103,typeIdDefault.UNSET);
   		rg.insertEvent (evt);
                BW_Event e104 = new BW_Event (104,typeIdDefault.UNSET);
                rg.insertEvent (e104);

   		Vector v = new Vector();
   		v.addElement(rg);
   		
   		return v;
        }

//  ---------------------------------------------------------------------

   public static Vector makeMembers () {
   	Vector v = new Vector();
   	
   	/////////////////////////////////////////////////
   	
   	BW_Member teste1 = new BW_Member ("teste1",500);
   	teste1.setName ("Usuario de teste 1");
   	teste1.setMail ("teste1@localhost");
   	teste1.setHomePage ("http://localhost/~teste1/");
   	teste1.setMachine ("localhost");   	
   	
   	Calendar c1teste1 = Calendar.getInstance ();
   	Calendar c2teste1 = Calendar.getInstance ();
   	c1teste1.set ( 2001, 0, 10, 9, 0, 0 );
   	c2teste1.set ( 2001, 0, 15, 15, 0, 0);
   	BW_TimeInterval titeste1 =  new BW_TimeInterval (0,0,c1teste1,c2teste1);
   	teste1.setLastLogin (titeste1);
   	
   	BW_AwarenessProfile apteste1 = teste1.getAwarenessProfile();
   	apteste1.setTypeId (typeIdDefault.BW_AWARENESSPROFILE);
   	apteste1.setObjId (3000);
   	
   	Calendar c1PPteste1 = Calendar.getInstance ();
   	Calendar c2PPteste1 = Calendar.getInstance ();
   	c1PPteste1.set ( 2000, 0, 1, 0, 0, 0 );
   	c2PPteste1.set ( 2001, 0, 15, 15, 0, 0);   	

   	BW_Profile PPteste1 = new BW_Profile (typeIdDefault.BW_PERSONALPROFILE,3001);
   	BW_TimeInterval tiPPteste1 = PPteste1.getInterval();
   	tiPPteste1.setInterval (c1PPteste1,c2PPteste1);
   	PPteste1.setInterval (tiPPteste1);   	
        BW_Event e101 = new BW_Event (101,typeIdDefault.UNSET);
        PPteste1.insertEvent (e101);
        apteste1.insertPersonalProfile (PPteste1);
        teste1.setAwarenessProfile(apteste1);

        //System.out.println (" ***************** "+PPteste1+" *************************");

        BW_Paper max = new BW_Paper (typeIdDefault.BW_PAPER,3004);
        max.setLevel (BW_Paper.MAXIMUM);
        max.setName ("MAX");
        max.setDescription ("Max paper");
        BW_Profile PPmax = new BW_Profile (typeIdDefault.BW_PAPERPROFILE,3006);
        BW_Event e104 = new BW_Event (104,typeIdDefault.UNSET);
        PPmax.insertEvent (e104);
        max.setProfile (PPmax);

        BW_Profile PPmaxteste1 = new BW_Profile (typeIdDefault.BW_PERSONALPAPERPROFILE, 3002);
        BW_Event e102 = new BW_Event (102,typeIdDefault.UNSET);
        PPmaxteste1.insertEvent (e102);

        teste1.insertPaper (max,PPmaxteste1);

        BW_Paper min = new BW_Paper (typeIdDefault.BW_PAPER,3005);
        min.setLevel (BW_Paper.MINIMUM);
        min.setName ("MIN");
        min.setDescription ("Min paper");
        BW_Profile PPmin = new BW_Profile (typeIdDefault.BW_PAPERPROFILE,3007);
        min.setProfile (PPmin);

        BW_Profile PPminteste1 = new BW_Profile (typeIdDefault.BW_PERSONALPAPERPROFILE, 3003);
        BW_Event e103 = new BW_Event (103,typeIdDefault.UNSET);
        PPminteste1.insertEvent (e103);

        teste1.insertPaper (min,PPminteste1);

        teste1.setActivePaper (max);

        v.addElement (teste1);

        ///////////////////////////////////////////////////////////////////////////

        BW_Member teste2 = new BW_Member ("teste2",510);
   	teste2.setName ("Usuario de teste 2");
   	   	
   	BW_AwarenessProfile apteste2 = teste2.getAwarenessProfile();
   	apteste2.setTypeId (typeIdDefault.BW_AWARENESSPROFILE);
   	apteste2.setObjId (3010);
        teste2.setAwarenessProfile(apteste2);

        BW_Profile PPminteste2 = new BW_Profile (typeIdDefault.BW_PERSONALPAPERPROFILE, 3011);
        //BW_Event e103 = new BW_Event (103,typeIdDefault.UNSET);
        PPminteste2.insertEvent (e103);

        teste2.insertPaper (min,PPminteste2);

        v.addElement (teste2);

        /////////////////////////////////////////////////////////////////////////

        return v;
   }

  //--------------------------------------------------------------------------

      public static BW_Group makeGroup (Vector users) {
      	 BW_Group grp = new BW_Group (typeIdDefault.BW_GROUP,typeIdDefault.BW_GROUP);
      	 grp.setName ("Default");
      	 grp.setDescription ("Grupo de teste");
      	
      	 BW_Member mb = (BW_Member) users.firstElement();
      	 Enumeration pps = mb.getPapers().keys();
      	
      	 while (pps.hasMoreElements()) {
      	 	grp.insertPaper ((BW_Paper) pps.nextElement());
      	 }
      	
      	 for (int i=0;i<users.size();i++) {
      	 	grp.insertMember ((BW_Member)users.elementAt(i));
      	 }

      	 return grp;
      }

  // -------------------------------------------------------------------------

      public static Vector makeEvents (Vector users) {
        	Vector v = new Vector();
        	
        	BW_Member m1 = (BW_Member) users.firstElement();
        	BW_Member m2 = (BW_Member) users.lastElement();
        	
        	Calendar c1 = Calendar.getInstance();
        	c1.set (2000,11,15,15,0,0);
        	Calendar c2 = Calendar.getInstance();
        	c2.set (2000,11,20,15,0,0);
        	BW_TimeInterval mesp = new BW_TimeInterval (c1,c2);
        	
        	c1 = Calendar.getInstance();
        	c1.set (2001,0,1,10,0,0);
        	c2 = Calendar.getInstance();
        	c2.set (2001,0,10,10,0,0);
        	BW_TimeInterval mesa = new BW_TimeInterval (c1,c2);
      	
        	BW_Event evt = new BW_Event (101,2000);
        	evt.setName ("teste-101");
        	evt.setDescription ("Evento de teste 101 - X");
        	evt.setDetails ("Realizando teste 101 - X");
        	evt.setResponsible (m1);
        	evt.setInterval (mesp);
        	v.addElement (evt);
        	
        	evt = new BW_Event (102,2001);
        	evt.setName ("teste-102");
        	evt.setDescription ("Evento de teste 102 - X");
        	evt.setDetails ("Realizando teste 102 - X");
        	evt.setResponsible (m2);
        	evt.setInterval (mesa);
        	v.addElement (evt);
       	
  	       	evt = new BW_Event (103,2002);
        	evt.setName ("teste-103");
        	evt.setDescription ("Evento de teste 103 - X");
        	evt.setDetails ("Realizando teste 103 - X");
        	evt.setResponsible (m1);
        	evt.setInterval (mesp);
        	v.addElement (evt);
        	
        	evt = new BW_Event (104,2003);
        	evt.setName ("teste-104");
        	evt.setDescription ("Evento de teste 104 - X");
        	evt.setDetails ("Realizando teste 104 - X");
        	evt.setResponsible (m2);
        	evt.setInterval (mesa);
        	v.addElement (evt);
        	
        	return v;
      }


  // -------------------------------------------------------------------------

        public static void testStorage () {
     		ST_DatabaseImplementor db = new ST_DatabaseImplementor("localhost");
     		
     		ST_StartUp.Start (db);
     		FC_ST_Monitor mon = ST_StartUp.getMonitorFacade();
     		FC_ST_Context con = ST_StartUp.getContextFacade();
     		
     		Vector users = makeMembers();
     		Vector events = makeEvents(users);
     		BW_Group group = makeGroup (users);
     		BW_Register register = (BW_Register) makeRegister().firstElement();
     		
     		System.out.println ("------------- saving group ------------");
     		//System.out.println (group);
     		boolean b = mon.save (group);
     		System.out.println ("Result: "+b);
     		
     		System.out.println ("------------- saving members e group ------------");
     		Vector v = (Vector) users.clone();
     		v.addElement (group);
     		//System.out.println (v);
     		b = mon.save (v);
     		System.out.println ("Result: "+b);
     		
     		System.out.println ("------------- saving events ------------");
     		//System.out.println (events);
     		b = mon.save (events);
     		System.out.println ("Result: "+b);
     		
     		System.out.println ("------------- saving register ------------");
     		register.removeEvent (new BW_Event(101,-1));
     		System.out.println (register);
     		b = mon.save (register);
     		System.out.println ("Result: "+b);
     		     		     		
     		
     		System.out.println ("------------------ reading members ----------------------");
     		Vector rdusers = con.readAll (new BW_Member());
     		//System.out.println ("-------Readed - Member: "+rdusers);
     		
     		for (int i=0; rdusers!=null && i<rdusers.size(); i++) {
     			System.out.println ("---- Readed - Member ("+i+"): "+rdusers.elementAt(i));
     		}
     		
     		System.out.println ("------------------ reading a group ----------------------");
     		BW_Group grpr = mon.read (new BW_Group (typeIdDefault.BW_GROUP,typeIdDefault.BW_GROUP));
     		System.out.println ("Readed - group: "+grpr);
     		
     		Calendar ci = Calendar.getInstance();     		
     		ci.set ( 2000, 11, 1, 8, 0, 0);
     		Calendar cf = Calendar.getInstance();
     		cf.set (2001, 0, 31, 18, 0, 0);
     		BW_TimeInterval tint = new BW_TimeInterval (ci,cf);     		
     		
     		System.out.println ("------------------ reading event/periode ----------------------");
     		System.out.println ("---- Interval: "+tint+"("+tint.getBeginMillis()/1000+" - "+tint.getEndMillis()/1000+")");
     		Vector rdevts = con.readByTime (new BW_Event(103,typeIdDefault.UNSET),tint);     		
     		for (int i=0; rdevts!=null && i<rdevts.size(); i++) {
     			System.out.println ("---- Readed - event ("+i+"): "+rdevts.elementAt(i));
     		}
     		
     		
     		ci.set (2000,11,31,8,0,0);
     		cf.set (2001,1,2,18,0,0);
     		tint.setInterval (ci,cf);
     		BW_Profile prof = new BW_Profile ();
     		prof.insertEvent (new BW_Event (104,typeIdDefault.UNSET));
     		prof.insertEvent (new BW_Event (105,typeIdDefault.UNSET));     		
     		prof.insertEvent (new BW_Event (102,typeIdDefault.UNSET));     		     		
     		prof.setInterval (tint);
     		System.out.println ("------------------ reading event/profile ----------------------");
     		System.out.println ("---- Interval: "+tint+"("+tint.getBeginMillis()/1000+" - "+tint.getEndMillis()/1000+")");
     		rdevts.removeAllElements();
     		rdevts = con.readEvents (prof);
     		for (int i=0; rdevts!=null && i<rdevts.size(); i++) {
     			System.out.println ("---- Readed - event ("+i+"): "+rdevts.elementAt(i));
     		}
     		
     		
     		System.out.println ("------------------ reading register ----------------------");
     		BW_Register rgt = mon.read (new BW_Register());
     		System.out.println ("---- Readed - register: "+rgt);
     		
     		System.out.println ("------------------ reading a false register ----------------------");
     		rgt = new BW_Register();
     		rgt.setTypeId (typeIdDefault.BW_REGISTER);
     		rgt.setObjId(typeIdDefault.UNSET);
     		rgt = mon.read (rgt);
     		System.out.println ("---- Readed - register: "+rgt);
     		
        }



// ------------------------------------------------------------------------------


   public static void testControl() {
   	  ST_DatabaseImplementor db = new ST_DatabaseImplementor("localhost");
          CL_StartUp.Start (ST_StartUp.Start(db));

          FC_CL_Monitor mon = CL_StartUp.getMonitorFacade();
          FC_CL_Context con = CL_StartUp.getContextFacade();
	
          mon.setControlIds (true);

          System.out.println ("------------------ reading a group ----------------------");
	  BW_Group grp = con.getGroup();
	  System.out.println ("Readed: "+grp);
	  	
	  System.out.println ("------------------ writing a group ----------------------");
	  grp.setName ("Teste");
	  grp.setDescription ("Grupo de teste");
	  mon.setGroup (grp);
	  grp = null;
	  grp = mon.getGroup();
          System.out.println ("Readed: "+grp);




	  System.out.println ("------------------ registering events ----------------------");
	
	  BW_Register reg=null;
	  reg = mon.getRegister();
          System.out.println ("Register Readed: "+reg);

	  Vector v = makeRegister();	
	  reg = (BW_Register) v.firstElement();
	  Enumeration e = reg.getEvents().keys();
	  while (e.hasMoreElements()) {
	     try {
	  	String s = (String) e.nextElement();
	  	int i = s.indexOf("-");
	  	int type = Integer.parseInt (s.substring (i+1,s.length()));
	  	BW_Event prot = (BW_Event) Class.forName (s.substring(0,i)).newInstance();
	  	prot.setTypeId (type);
	  	prot.setObjId (typeIdDefault.UNSET);
	  	
	  	boolean b = mon.eventRegister (prot);
	  	System.out.println ("Registering "+prot+": "+b);
	     } catch (Exception exp) {}	
	  }
	
          System.out.println ("------------------ loading register ----------------------");
          reg = null;
          reg = mon.getRegister();
          System.out.println ("Readed: "+reg);
	
	  System.out.println ("------------------ removing event from register ----------------------");
	  mon.eventRemove (new BW_Event(101, typeIdDefault.UNSET));
          reg = null;
          reg = mon.getRegister();
          System.out.println ("Readed: "+reg);



           System.out.println ("------------------ adding a paper ----------------------");
           Vector users = makeMembers();
           BW_Member mb = (BW_Member) users.firstElement();
      	   Enumeration pps = mb.getPapers().keys();      	
      	   while (pps.hasMoreElements()) {
      	   	BW_Paper npap = (BW_Paper) pps.nextElement();
      	 	boolean b = mon.addPaper (npap);
      	 	System.out.println ("Adding "+npap.getName()+" ("+ npap.getTypeId()+","+
      	 					npap.getObjId()+")"+": "+b);
      	   }
      	
      	   System.out.println ("------------------ removing a paper ----------------------");
      	   BW_Paper pap = mb.getPaper ("MIN");
      	   mon.removePaper(pap);
      	
      	
      	   System.out.println ("------------------ adding members ----------------------");      	      	
      	   for (int i=0;i<users.size();i++) {
      	   	BW_Member nmb = (BW_Member)users.elementAt(i);
      	 	boolean b = mon.addMember (nmb);
      	 	//System.out.println ("Adding "+nmb.getLogin()+"("+nmb.getTypeId()+","+nmb.getUID()+")"+": "+b);
      	 	System.out.println ("Adding "+nmb);
      	   }

      	   System.out.println ("------------------ loading a member ----------------------");
      	   mb = new BW_Member (typeIdDefault.BW_MEMBER,510);
      	   mb = con.getMemberInfo(mb);
      	   System.out.println ("Readed: "+mb);

      	   System.out.println ("------------------ changing a member ----------------------");      	         	
      	   mb.setName ("Usuario de teste 2");
      	   mb.setMail ("none");
      	   con.setMemberInfo (mb);
      	
           	
      	   System.out.println ("------------------ loging a member ----------------------");
      	   mb = null;
      	   mb = con.memberLogin(new BW_Member (typeIdDefault.BW_MEMBER,510));
      	   System.out.println ("Readed: "+mb);

      	   System.out.println ("------------------ loading active users ----------------------");
      	   Hashtable active = con.getActiveUsers();
      	   Enumeration e2 = active.elements();
      	   while (e2.hasMoreElements()) {
      	   	BW_Member amb = (BW_Member)e2.nextElement();      	   	
      	   	System.out.println ("Active: "+amb.getLogin()+" ("+amb.getUID()+")");
      	   }

      	   System.out.println ("------------------ loging out a member ----------------------");      	
      	   con.memberLogout (mb);
      	   active = null;
      	   active = con.getActiveUsers();
      	   e2 = active.elements();
      	   while (e2.hasMoreElements()) {
      	   	BW_Member amb = (BW_Member)e2.nextElement();      	   	
      	   	System.out.println ("Active: "+amb.getLogin()+" ("+amb.getUID()+")");
      	   }
      	         	
      	   System.out.println ("------------------ loading a member ----------------------");
      	   mb = new BW_Member (typeIdDefault.BW_MEMBER,510);
      	   mb = con.getMemberInfo(mb);
      	   System.out.println ("Readed: "+mb);
      	
      	   System.out.println ("------------------ removing member ----------------------");
      	   mb = (BW_Member) users.lastElement();
      	   mon.removeMember (mb);      	
      	
      	   System.out.println ("------------------ event occurence ----------------------");
      	   Vector events = makeEvents(users);
      	   //System.out.println ("Events: "+events);    	
      	   mon.eventOccurence (events);
      	
      	   System.out.println ("------------------ awareness ----------------------");
      	   mb = con.getMemberInfo(new BW_Member (typeIdDefault.BW_MEMBER,500));
      	   pap = mb.getPaper ("MAX");
      	   mb.setActivePaper(pap);
      	
      	   System.out.println ("Member: "+mb);
      	   events = null;
      	   events = con.getEvents(mb);
      	   try {
      	     for (int i=0;i<events.size();i++) {
      	   	System.out.println ("Event: "+events.elementAt(i));
      	    }
      	   } catch (NullPointerException npe) {
      	   	System.out.println ("No event readed ");
      	   }
      	
      	
      	
      	
      	
	  System.out.println ("------------------ finalizing ----------------------");
	  con.terminate();
   }


//////////////////////////////////////////////////////////////////////////////////////////////////


  public static void testEvents ()       {
          System.out.println ("------------------ EVENTS ----------------------");

   	  ST_DatabaseImplementor db = new ST_DatabaseImplementor("localhost");
          CL_StartUp.Start (ST_StartUp.Start(db));

          FC_CL_Monitor mon = CL_StartUp.getMonitorFacade();
          FC_CL_Context con = CL_StartUp.getContextFacade();
	
          mon.setControlIds (true);
	
      	
      	   System.out.println ("------------------ event occurence ----------------------");
      	   Vector evts = makeEvents(makeMembers());
      	   //System.out.println ("Events: "+events);    	
      	   mon.eventOccurence (evts);
      	
	  BW_Member mb = con.memberLogin (new BW_Member (typeIdDefault.BW_MEMBER,500));
	  System.out.println (mb);
	
	 /* BW_AwarenessProfile awp = mb.getAwarenessProfile();
	  BW_Profile personal = awp.getPersonalProfile (0);
	  BW_TimeInterval interval = personal.getInterval();
	  Calendar c1 = interval.getBegin();
	  Calendar c2 = interval.getEnd ();
	  c1.set (2000,0,1,0,0,0);
	  c2.set (2001,0,20,0,0,0);
	  interval.setInterval (c1,c2);
          personal.setInterval (interval);
          awp.removePersonalProfile (personal);
          awp.insertPersonalProfile (personal);
          mb.setAwarenessProfile (awp);
          System.out.println (mb);

          con.setMemberInfo (mb);
         */

      	   System.out.println ("------------------ awareness ----------------------");
      	   BW_Paper pap = mb.getPaper ("MAX");
      	   mb.setActivePaper(pap);
      	
      	   System.out.println ("Member: "+mb);
      	   Vector events = con.getEvents(mb);
      	   try {
      	     for (int i=0;i<events.size();i++) {
      	   	System.out.println ("Event: "+events.elementAt(i));
      	    }
      	   } catch (NullPointerException npe) {
      	   	System.out.println ("No event readed ");
      	   }
      	
      	   System.out.println ("------------------ loading a member ----------------------");
      	   mb = new BW_Member (typeIdDefault.BW_MEMBER,510);
      	   mb = con.getMemberInfo(mb);
      	   System.out.println ("Readed: "+mb);


	  System.out.println ("------------------ finalizing ----------------------");
	  con.terminate();

  }













// ------------------------------------------------------------------------------

	public static void main (String args []) {
	
	    TimeZone tmz = TimeZone.getTimeZone ("BET");
	    Locale lcl = new Locale ("pt","BR");
	    TimeZone.setDefault (tmz);
	    Locale.setDefault (lcl);
            boolean done = false;
	
	    for (int i=0;i<args.length;i++) {
	    	done = true;
	        int j = Integer.parseInt (args[i]);
		switch (j) {	

		   case 1:
		   	System.out.println ("****************** test TimeInterval **************");
		   	testTI();
		   	done = true;
		   	break;
		
		   case 2:
		   	System.out.println ("****************** test Storage **************");	 	
		   	testStorage();
		   	done = true;
		   	break;
		   	
		   case 3:
		   	System.out.println ("****************** test Control **************");	 	
		   	testControl();
		   	done = true;
		   	break;
		
		   case 4:
		   	System.out.println ("****************** test Control/Events **************");	 	
		   	testEvents();
		   	done = true;
		   	break;
		   	
                   default:
                   	done = true;
                   	System.out.println ("********************** OPCOES *********************");
                   	System.out.println ("1 - test TimeInterval ");
                   	System.out.println ("2 - test Storage");
                   	System.out.println ("3 - test Control");
                   	System.out.println ("4 - test Control/Events");
                }

            }

            if (!done) {
                   	System.out.println ("********************** OPCOES *********************");
                   	System.out.println ("1 - test TimeInterval");
                   	System.out.println ("2 - test Storage");
                   	System.out.println ("3 - test Control");
                   	System.out.println ("4 - test Control/Events");
            }
		

	    System.gc();	
	}
}
