import BW.*;
import BW.kernel.*;
import java.util.*;

class teste1 {
    public static void main (String args[]) {
        String login = System.getProperty ("user.name");
	int uid = 150;
        BW_Member mb = new BW_Member (login, uid);
        BW_TimeInterval tmi = new BW_TimeInterval(typeIdDefault.BW_TIMEINTERVAL,typeIdDefault.BW_TIMEINTERVAL*10+3);

        mb.setName ((mb.getLogin()).toUpperCase()+" ...");
	mb.setMail ("nome");
	mb.setHomePage ("none");
	mb.setMachine ("localhost");
	mb.setLastLogin (tmi);

	BW_Event evt = new BW_Event (typeIdDefault.BW_EVENT,(typeIdDefault.BW_EVENT*10)+1,mb);
        evt.setDescription ("evento de teste");
	evt.setDetails ("evento para testar funcionamento da classe");

	Calendar bg = tmi.getBegin();
	//dois dias atras
        bg.roll (Calendar.DAY_OF_MONTH,false);
        bg.roll (Calendar.DAY_OF_MONTH,false);
	tmi.setBegin (bg);
        evt.setInterval (tmi);

        System.out.println (evt);

	BW_Register rg = new BW_Register();
	if (rg.insertEvent (evt)) System.out.println ("insercao ok");
	else System.out.println ("galho na insercao");
	if (rg.verifyEvent (evt)) System.out.println ("verify ok");
	else System.out.println ("galho no verify");
	Hashtable ht = rg.getEvents();
	System.out.println ("events :"+ht);
	System.out.println (rg);

	BW_Group grp = new BW_Group ("GrpTeste1",typeIdDefault.BW_GROUP*10+1);
	grp.setDescription ("grupo de teste");
	if (grp.insertMember (mb)) System.out.println ("insercao no grupo ok");
	else System.out.println ("zebra na insercao");

	System.out.println ("membros: "+grp.getMembers());
	System.out.println ("grupo: "+grp.toString());

	BW_Group grp2 = (BW_Group) grp.clone();
	System.out.println ("grupo: "+grp2.toString());

	BW_Member mb2 = grp2.getAMember (mb.getObjId());
	mb2.setName ("novo nome");
	System.out.println ("membro: "+mb2);
	teste2 t2 = new teste2();
	t2.changeAgain (mb2);
	System.out.println ("membro: "+mb2+" grupo: "+grp2);

    }
}

class teste2 {

	public void changeAgain (BW_Member mb) {
		mb.setName ("outro nome");
	}
}
